#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqu.inp");
ofstream fo ("dqu.out");

int dq(int n, int i){
  if (n==1){return 1;}
  else {
    return pow(n,i)+dq(n-1,i);
  }
}

int main(){
 int n, i;
 fi>>n>>i;
 fo<<dq(n,i);
}
